<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@drawable/normaldialog_layout_bg"
        android:minWidth="200dp"
        android:orientation="vertical"
        android:scrollbars="vertical">

        <TextView
            android:id="@+id/title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:textSize="18sp"
            android:visibility="gone"
            tools:text="提示"
            tools:visibility="visible" />

        <RelativeLayout
            android:id="@+id/message_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/img_tip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginBottom="10dp"
                android:layout_marginTop="10dp"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/message"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/img_tip"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:autoLink="all"
                android:gravity="center"
                android:lineSpacingMultiplier="1.3"
                android:text="正文"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </RelativeLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="0.5dip"
            android:background="#D1D1D1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="40dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/cancel_btn"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/transparent"
                android:text="取消"
                android:textSize="18sp"
                android:visibility="gone"
                tools:visibility="visible" />

            <View
                android:id="@+id/view_vertical_line"
                android:layout_width="0.5dp"
                android:layout_height="36dp"
                android:background="@color/title_bottom_line_bg" />

            <Button
                android:id="@+id/confirm_btn"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/transparent"
                android:text="确定"
                android:textSize="18sp"
                android:visibility="gone"
                tools:visibility="visible" />
        </LinearLayout>

    </LinearLayout>
</LinearLayout>